/* Projects stylesheet */



#content{
	nav.projects-pagination{
		width: 100%;
		padding: 10px 0 0;
		.page-numbers{
			padding: 0;
			li{
				font-size: 16px;
				.current{
					color: @primarycolor;
				}
			}
		}
	}
	.filter-options{
		width: 100%;
		margin: 30px 0;
		text-align: center;
		button{
			background: none;
			border: none;
			box-shadow:none;
			text-shadow:none;
			color: #333;
			padding:5px 20px;
			transition: all 0.3s;
			text-transform: uppercase;
			font-weight: 700;
			font-family: @bodyfont;
			float: none;
			&:focus{
				outline:none;
			}
			&:hover,
			&.active{
				color: @primarycolor;
			}
		}
	}
	#projects_list,.related_projects{
		margin-bottom: 40px;
		.related-title{
			font-family: @headingfont;
			color: @headingcolor;
			font-weight: normal;
			padding-bottom: 20px;
			text-transform: uppercase;
			line-height: 1.35;
			margin: 50px 0 30px;
			border-bottom: 1px solid @bordercolor;
		}
		.item-col,.item-related{
			padding: 0 5px;
			overflow: hidden;
			&:hover{
				.project-thumbnail{
					img{
						top: -20px;
					}
					&:after{
						opacity: 1;
						visibility: visible;
					}
					.icon-group{
						-webkit-transform: scale(1);
						-moz-transform: scale(1);
						-ms-transform: scale(1);
						-o-transform: scale(1);
						transform: scale(1);
						opacity: 1;
						visibility: visible;
					}	
				}
				.project-info{
					-webkit-transform: translate(0,0);
					-moz-transform: translate(0,0);
					-ms-transform: translate(0,0);
					transform: translate(0,0);
					opacity: 1;
					visibility: visible;
				}
			}
		}
		.project-thumbnail{
			overflow: hidden;
			position: relative;
			&:after{
				position: absolute;
				left: 0;
				right: 0;
				bottom: 0;
				top: 0;
				content: "";
				opacity: 0;
				visibility: hidden;
				z-index: 1;
				transition: opacity 300ms ease-out 0s;
				-webkit-transition: opacity 300ms ease-out 0s;
				-moz-transition: opacity 300ms ease-out 0s;
				background: none repeat scroll 0 0 rgba(0, 0, 0, 0.5);
				pointer-events: none;
			}
			img{
				position: relative;
				top: 0;
				transition: top 200ms ease-out 0s;
				-moz-transition: top 200ms ease-out 0s;
				-webkit-transition: top 200ms ease-out 0s;
				backface-visibility: hidden;
				-moz-backface-visibility: hidden;
				-webkit-backface-visibility: hidden;
			}
			.icon-group{
				position: absolute;
				left: 0;
				right: 0;
				top: 50%;
				margin-top: -30px;
				text-align: center;
				z-index: 3;
				visibility: hidden;
				opacity: 0;
				-webkit-transition: all 400ms cubic-bezier(1.000, -0.600, 0.570, -0.150);
				-moz-transition: all 400ms cubic-bezier(1.000, -0.600, 0.570, -0.150);
				-ms-transition: all 400ms cubic-bezier(1.000, -0.600, 0.570, -0.150);
				-o-transition: all 400ms cubic-bezier(1.000, -0.600, 0.570, -0.150);
				transition: all 400ms cubic-bezier(1.000, -0.600, 0.570);
				-webkit-transform: scale(0.2);
				-moz-transform: scale(0.2);
				-ms-transform: scale(0.2);
				-o-transform: scale(0.2);
				transform: scale(0.2);
				
				.likes-counter,.project-link{
					display: inline-block;
					vertical-align: middle;
					margin: 0 3px;
					a{
						width: 40px;
						height: 40px;
						line-height: 40px;
						border-radius: 100%;
						text-align: center;
						background: #fff;
						display: block;
						span{
							display:none;
						}
						&:hover{
							background: @primarycolor;
							color: #fff;
						}
					}
				}
			}
		}
		.project-info{
			position: absolute;
			left: 0;
			right: 0;
			bottom: 0;
			opacity: 0;
			visibility: hidden;
			-webkit-transform: translate(0,130%);
			-moz-transform: translate(0,130%);
			-ms-transform: translate(0,130%);
			transform: translate(0,130%);
			z-index: 3;
			padding: 20px 10px;
			text-align: center;
			font-weight: normal;
			transition: all 200ms ease-out 0s;
			-webkit-transition: all 200ms ease-out 0s;
			-moz-transition: all 200ms ease-out 0s;
			background: #fff;
			.project-title{
				text-transform: uppercase;
				font-size: 14px;
				font-family: @bodyfont;
			}
			&:before{
				position: absolute;
				content: "";
				width: 0;
				height: 0;
				border-left: 16px solid transparent;
				border-right: 16px solid transparent;
				border-bottom: 17px solid #fff;
				left: 50%;
				top: -15px;
				-webkit-transform: translate(-50%,0);
				-moz-transform: translate(-50%,0);
				-ms-transform: translate(-50%,0);
				transform: translate(-50%,0);
			}
		}
	}
}

.single-project{
	.project{
		margin: 40px 0;
		.project-title{
			margin: 0 0 20px;
			font-size: 18px;
			text-transform: uppercase;
		}
		.entry-summary{
			margin: 0 0 30px;
		}
		.project-meta{
			> div{
				border-bottom: 1px solid @bordercolor;
				padding: 0 0 10px;
				margin: 0 0 10px;
				> p{
					margin: 0;
				}
			}
			.social-sharing{
				.widget_socialsharing_widget{
					display: inline-block;
				}
				.social-icons{
					padding: 0;
					margin: 0;
					list-style: none;
					display: inline-block;
					li{
						display: inline-block;
						vertical-align: middle;
						a{
							padding: 0 10px;
						}
					}
				}
				.likes-counter{
					display: inline-block;
					padding-left: 10px;
					border-left: 1px solid @bordercolor;
				}
				.likes-counter{
					i{
						margin-right: 5px;
					}
				}
			}
		}

		.cover-image,.project-gallery{
			margin-bottom: 10px;
		}
	
	}
} 

